Please run

sudo apt-get update && sudo apt-get upgrade
and post all errors